Subject: Re: Building a stand-alone FS on a very limited flash (newbie question)

From: [email-masked] (Tor Arntsen)
Date: Tue, 10 Jun 2003 12:13:25 +0200

On Jun 9, 20:08, Jeff Baitis wrote:
>I made a mistake. I'm sorry, these projects use *busybox*. Don't know
>if they use UClibC or not. Some wires in my brain got crossed.
[...]

You can combine busybox and UClibC to create a very small Unix file system holding 
most of the tools you would want.  I made myself a single-floppy feature-full rescue
root disk for my x86 system using busybox and UClibC.  Looks like one good way
to solve the space problem described below.

-Tor

>> On Mon, Jun 09, 2003 at 07:37:19PM +0200, Baruch Chaikin wrote:
>> > Hi all,
>> > 
>> > I'm using MIPS kernel 2.4.18 with NFS file system mounted on a RedHat 
>> > machine. This works fine, but is unsuitable for system deployment. Do 
>> > you have hints for me where to start, in order to put the file system on 
>> > flash? The platform I'm using is very limited - only one MTD block of 
>> > 2.5 MB is available for the file system, out of a 4 MB flash:
>> >     0.5 MB is allocated for the firmware code
>> >     1.0 MB for the compressed kernel image
>> >     2.5 MB for the (compressed?) file system
[...]